%global commit 4653c12fbfd94b1423111d9f296a764a43b59b6c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global __requires_exclude mvn\\(org.milyn:testres\\)

Name:           smooks
Version:        1.5.1
Release:        %mkrel 15
Summary:        Smooks Framework
Group:          Development/Java
License:        LGPLv2+ and ASL 2.0
URL:            http://www.%{name}.org/
Source0:        https://github.com/%{name}/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:         %{name}-non-utf8-char.patch

# Compensate for newer hsqldb
Patch1:         %{name}-f20-hsqldb.patch
BuildArch:      noarch

BuildRequires: maven-local
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(org.mvel:mvel2)
BuildRequires: mvn(xerces:xercesImpl)
BuildRequires: mvn(org.yaml:snakeyaml)
BuildRequires: mvn(javassist:javassist)
BuildRequires: mvn(com.wutka:dtdparser)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(net.sf.opencsv:opencsv)
BuildRequires: mvn(javax.xml.bind:jaxb-api)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(org.freemarker:freemarker)
BuildRequires: mvn(org.codehaus:codehaus-parent:pom:)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(com.thoughtworks.xstream:xstream)
BuildRequires: mvn(org.codehaus.jackson:jackson-core-asl)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-surefire-plugin)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(javax.servlet:servlet-api)

%description
Smooks is an extensible framework for building applications for
processing XML and non XML data (CSV, EDI, Java etc) using Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
API documentation for %{name}.

%package -n     milyn
Summary:        Milyn (Base POM)
Group:          Development/Java

%description -n milyn
%{summary}.

%package -n     milyn-commons
Summary:        Milyn Commons
Group:          Development/Java

%description -n milyn-commons
Common classes for Milyn modules.

%package -n     milyn-%{name}-core
Summary:        Content Filtering and Serialisation Framework
Group:          Development/Java

%description -n milyn-%{name}-core
Smooks is a framework for "fragment based" filtering and
serialisation of XML (.. XHTML/HTML etc).  It allows you perform
transformation and analysis on messages using different technologies
(Java, Groovy, XSLT, StringTemplate, etc) both separately and in
collaboration i.e. it allows you mix technologies within the scope
of a single message transformation.
Smooks can also be used simply as an XML analysis tool.

%package -n     %{name}-cartridge-base-pom
Summary:        Base POM for Milyn Smooks Cartridges
Group:          Development/Java

%description -n %{name}-cartridge-base-pom
%{summary}.

%package -n     milyn-%{name}-javabean
Summary:        Milyn Smooks Cartridge - Javabean
Group:          Development/Java

%description -n milyn-%{name}-javabean
%{summary}.

%package -n     milyn-%{name}-flatfile
Summary:        Milyn Smooks Cartridge - Flat File
Group:          Development/Java

%description -n milyn-%{name}-flatfile
%{summary}.

%package -n     milyn-%{name}-csv
Summary:        Milyn Smooks Cartridge - CSV
Group:          Development/Java

%description -n milyn-%{name}-csv
%{summary}.

%package -n     milyn-%{name}-edi
Summary:        Milyn Smooks Cartridge - EDI
Group:          Development/Java

%description -n milyn-%{name}-edi
%{summary}.

%package -n     milyn-%{name}-json
Summary:        Milyn Smooks Cartridge - JSON
Group:          Development/Java

%description -n milyn-%{name}-json
%{summary}.

%package -n     milyn-%{name}-misc
Summary:        Milyn Smooks Cartridge - Misc
Group:          Development/Java

%description -n milyn-%{name}-misc
%{summary}.

%package -n     milyn-%{name}-calc
Summary:        Milyn Smooks Cartridge - Calculation
Group:          Development/Java

%description -n milyn-%{name}-calc
%{summary}.

%package -n     milyn-%{name}-rules
Summary:        Milyn Smooks Cartridge - Rules
Group:          Development/Java

%description -n milyn-%{name}-rules
%{summary}.

%package -n     milyn-%{name}-validation
Summary:        Milyn Smooks Cartridge - Validation
Group:          Development/Java

%description -n milyn-%{name}-validation
%{summary}.

%package -n     milyn-%{name}-fixed-length
Summary:        Milyn Smooks Cartridge - Fixed Length Reader
Group:          Development/Java

%description -n milyn-%{name}-fixed-length
%{summary}.

%package -n     milyn-%{name}-yaml
Summary:        Milyn Smooks Cartridge - YAML
Group:          Development/Java

%description -n milyn-%{name}-yaml
%{summary}.

%package -n     milyn-edisax-parser
Summary:        Milyn Edisax Parser
Group:          Development/Java

%description -n milyn-edisax-parser
%{summary}.

%prep
%setup -qn %{name}-%{commit}
cp %{SOURCE1} .

find -name '*.jar' -delete
find -name '*.class' -delete

%pom_disable_module edi
%pom_disable_module scribe
%pom_disable_module testres
%pom_disable_module %{name}-examples

# Needs mvn(org.ow2.bundles:ow2-bundles-externals-opencsv)
%pom_disable_module %{name}-all

# Needs mvn(org.eclipse.xsd:org.eclipse.xsd)
%pom_disable_module edi/ect
%pom_disable_module edi/ect/maven-ect-plugin
%pom_disable_module edi/ejc
%pom_disable_module edi/ejc/maven-ejc-plugin
%pom_disable_module edi/edi-test

# Needs mvn(org.codehaus.groovy:groovy-all)
%pom_disable_module scripting %{name}-cartridges
%pom_disable_module persistence %{name}-cartridges

# Needs mvn(antlr:stringtemplate)
%pom_disable_module templating %{name}-cartridges
%pom_disable_module routing %{name}-cartridges
%pom_disable_module camel %{name}-cartridges

%pom_change_dep dtdparser:dtdparser com.wutka:dtdparser smooks-core

%pom_remove_dep hsqldb:hsqldb commons
%pom_add_dep org.hsqldb:hsqldb commons

%pom_add_dep xerces:xercesImpl smooks-cartridges/yaml

%pom_remove_dep org.milyn:testres smooks-cartridges

%pom_change_dep org.codehaus.jackson:jackson-core-lgpl org.codehaus.jackson:jackson-core-asl smooks-cartridges/json

# Remove bundled library
rm -rf commons/src/main/java/org/milyn/annotation/

%patch0

%patch1

%build
# We don't have mockobjects, so can't run tests
%mvn_build -s --skip-tests

%install
%mvn_install

#files -f .mfiles
%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt
%files -n milyn -f .mfiles-milyn
%doc LICENSE-2.0.txt
%files -n milyn-commons -f .mfiles-milyn-commons
%doc LICENSE-2.0.txt
%files -n milyn-smooks-core -f .mfiles-milyn-smooks-core
%files -n smooks-cartridge-base-pom -f .mfiles-smooks-cartridge-base-pom
%files -n milyn-%{name}-javabean -f .mfiles-milyn-%{name}-javabean
%files -n milyn-%{name}-flatfile -f .mfiles-milyn-%{name}-flatfile
%files -n milyn-%{name}-csv -f .mfiles-milyn-%{name}-csv
%files -n milyn-%{name}-edi -f .mfiles-milyn-%{name}-edi
%files -n milyn-%{name}-json -f .mfiles-milyn-%{name}-json
%files -n milyn-%{name}-misc -f .mfiles-milyn-%{name}-misc
%files -n milyn-%{name}-calc -f .mfiles-milyn-%{name}-calc
%files -n milyn-%{name}-rules -f .mfiles-milyn-%{name}-rules
%files -n milyn-%{name}-validation -f .mfiles-milyn-%{name}-validation
%files -n milyn-%{name}-fixed-length -f .mfiles-milyn-%{name}-fixed-length
%files -n milyn-%{name}-yaml -f .mfiles-milyn-%{name}-yaml
%files -n milyn-edisax-parser -f .mfiles-milyn-edisax-parser


%changelog
* Mon May 29 2017 neoclust <neoclust> 1.5.1-15.mga6
+ Revision: 1105479
- Fix BuildRequires
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 1.5.1-13.mga6
+ Revision: 979868
- First rebuild of the java stack
- sync package smooks with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 11 2015 daviddavid <daviddavid> 1.5.1-12.mga5
+ Revision: 809987
- update BuildRequires for current codehaus-parent
- rebuild against current java-stack

* Mon Dec 29 2014 daviddavid <daviddavid> 1.5.1-11.mga5
+ Revision: 807126
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Jan 03 2014 dmorgan <dmorgan> 1.5.1-8.mga4
+ Revision: 564062
- Remove wrong auto require

* Fri Jan 03 2014 umeabot <umeabot> 1.5.1-7.mga4
+ Revision: 564058
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.5.1-6.mga4
+ Revision: 487389
- imported package smooks


* Sun Aug 4 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-6
- Fix hsqldb resolution problem

* Wed Jul 31 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-5
- Add missing changelog entry

* Wed Jul 31 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-4
- Clean up BuildRequires

* Wed Jul 31 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-3
- Remove bundled library and dependent subpackages
- Add ASL 2.0 license and text

* Tue Jul 30 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-2
- RHBZ-989266: Fix hsqldb version; add BR's
- Remove milyn-smooks-camel subpackage

* Sat Jul 27 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.5.1-1
- Initial package.
